Subject: Re: bug#17590: [PATCH] build: libstdbuf.so: avoid new OS X link failure

From: Pádraig Brady <[email-masked]>
Date: Sun, 25 May 2014 21:31:01 +0100

On 05/25/2014 08:48 PM, Jim Meyering wrote:
> Without the attached patch, I'd get this new link failure on OS X:
> 
> Undefined symbols for architecture x86_64:
>   "_libintl_gettext", referenced from:
>       _apply_mode in src_libstdbuf_so-libstdbuf.o
> ld: symbol(s) not found for architecture x86_64
> collect2: error: ld returned 1 exit status
> make[2]: *** [src/libstdbuf.so] Error 1

Oh cool, I presume that's since I generalized the
stdbuf enablement check that stdbuf is now built
on Mac OS X. I presume it works too or you would
have seen the test failure.

Change looks good.

thanks!
Pádraig.